import request from '@/utils/request'

// 查询巡更点记录列表
export function listCheckPointRecord(query) {
  return request({
    url: '/wuYe/checkPointRecord/list',
    method: 'get',
    params: query
  })
}

// 查询巡更点记录详细
export function getCheckPointRecord(checkPointRecordId) {
  return request({
    url: '/wuYe/checkPointRecord/' + checkPointRecordId,
    method: 'get'
  })
}

// 新增巡更点记录
export function addCheckPointRecord(data) {
  return request({
    url: '/wuYe/checkPointRecord',
    method: 'post',
    data: data
  })
}

// 修改巡更点记录
export function updateCheckPointRecord(data) {
  return request({
    url: '/wuYe/checkPointRecord/put',
    method: 'post',
    data: data
  })
}

// 删除巡更点记录
export function delCheckPointRecord(checkPointRecordId) {
  return request({
    url: '/wuYe/checkPointRecord/delete/' + checkPointRecordId,
    method: 'get'
  })
}


export function count(data) {
  return request({
    url: '/wuYe/checkPointRecord/count',
    method: 'post',
    data: data
  })
}

